• Hello [name]! Thanks for joining the GMC. Before making any posts in the Tech Support forum, can we suggest you read the forum rules? These are simple guidelines that we ask you to follow so that you can get the best help possible for your issue.

SOLVED Google Play Billing Library 3

GeorgeSaint

Member
Hello dear people!)
So Google send me mail:

"This update impacts one or more of your apps, which uses AIDL or an older version of Billing Library.
Starting on August 2, 2021, all new apps must use Google Play Billing Library 3 or newer.
Starting on November 1, 2021, all updates to existing apps must use Google Play Billing Library 3 or newer."


1614678234862.png

i think this is my current compile 'com.android.billingclient:billing:2.0.1'
My game has no ADS no IAP...just free game!
But i don't know where i can get newer, or what is going on?
Sorry for my dump questions!!
Don't want lose my app and for future releases too...
 
Last edited:

GeorgeSaint

Member
If your game doesn't have ADS or IAP, then why you have this extension at all?
So i can delete them or remove?
They all was added automaticly with google extension, and i thought there are no problems with them, independent stuff...)

i don't getting how remove only billing or IAP extensions...:(
 
Last edited:

GeorgeSaint

Member
So, anyone know how to disable those, if i don't use them

GooglePlayAdsExtension
GooglePlayBillingExtension


????
 

GeorgeSaint

Member
Am i only one who get mail from google with their?? >

Google Play’s Billing Library helps developers to build high-quality apps that users love, with safe and secure experiences that users expect. Last July, we announced Billing Library 3 with new payment options, subscription promotion capabilities, game purchase attribution, and improved reliability and security.

= Help
 

gnysek

Member
By default, none of those is required for android export in GM, and none of them is added to projectt. Can you uncheck any packages you don't need in "Game Options", and then remove extensions? I also assume that you're not using any functions from them, otherwise that's obvious you need them. Don't forget to clear cache with brush icon on top bar.
When i delete some of them, while compile i have errors...
Good to know, but you're not saying what kind of errors - are they from Igor.exe, or from Android compiler ? What's the message?
 

GeorgeSaint

Member
By default, none of those is required for android export in GM, and none of them is added to projectt. Can you uncheck any packages you don't need in "Game Options", and then remove extensions? I also assume that you're not using any functions from them, otherwise that's obvious you need them. Don't forget to clear cache with brush icon on top bar.

Good to know, but you're not saying what kind of errors - are they from Igor.exe, or from Android compiler ? What's the message?
First of all thanks for "Brush" it helps, but its first time that i was so wonder what the hell going on.
Big Thank You!
Now Google Test works without checking those...i simple delete them.
Years ago i've just added them for a future and now the future make an errors from store, who could know?)
And now i think something wrong with my studio will investigate that...
Again thank You! And all others!
 

gnysek

Member
GMS caches some compilation info, so if you remove extensions, it still might have cached info about them to make compilation faster. Clicking "clear cache" button simple removes that. It should be used every time that something weird happens, to ensure it's not a cached compilation data, and everything is made from scratch.
 

Mool

Member
So whats going on? Its getting close. We need the new billing lib.


"This update impacts one or more of your apps, which uses AIDL or an older version of Billing Library.

Starting on August 2, 2021, all new apps must use Google Play Billing Library 3 or newer.
Starting on November 1, 2021, all updates to existing apps must use Google Play Billing Library 3 or newer."
 
Top